Issue 19690

Summary: Clearly identify the Writer UI from HTML UI,so user will not confuse&make mistake
Product: Writer Reporter: eric.savary
Component: viewingAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: gouriev, issues, mmelchior, oo, rbe, utomo.prawiro
Version: OOo 1.1 RC4Keywords: oooqa, rfe_eval_ok, usability
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description eric.savary 2003-09-17 12:04:20 UTC
Problem:
Writer and Writer-HTML currently share quite the same UI (dialogs, toolbars, etc).
Thus the Writer-HTML UI provides the user with a lot of functions which HTML
(any version) does not support.
This is "a trap" for the user and sometimes causes in the end data losses which
are not bugs but the result of a "promising" UI and a lack of appropriate (or
just *existing*) warning messages when inserting or apply non-HTML objects or
formattings (cropped graphics, table border styles, etc)

Proposal:
- Create a new HTML (Writer/Web) module with its own UI.
OR
- keep the current Writer/Web UI but disable or hide every Writer specific
functions from it.
Comment 1 rblackeagle 2003-09-17 20:15:34 UTC
If I had any votes left, I'd vote for this.  I just got caught in this
trap yesterday.  It took two hours to find the error.  Not a good
thing for users.
Comment 2 utomo99 2003-09-18 04:41:54 UTC
I also feel similiar things. 

Maybe some other things also possible to make the identification of
Writer and html editor didnt confuse people
1. In the Left top, it only showing general name: openoffice.org, if
we can have openoffice.org writer, openoffice.org html editor,
openoffice.org calc, ETC. it will help little bit
2. Another things, which is considered as  enhancements is adding tab:
normal, preview and html at the bottom of the HTML editor. 

If you have another proposal/idea please share it here.  

Comment 3 utomo99 2003-09-19 05:37:45 UTC
add oooqa
Comment 4 eric.savary 2003-09-19 09:55:38 UTC
*** Issue 18168 has been marked as a duplicate of this issue. ***
Comment 5 eric.savary 2003-09-19 10:17:21 UTC
utomo99: please don't change targets without consoidering the possible
effort needed to fix/implement a feature. Especially an
enhancement/feature will very seldomly be part of a #.#.# version.
Comment 6 mmelchior 2003-09-19 20:12:02 UTC
I do not think the issue raised in 18168 is sufficiently represented
here.  In 18168 I talk about having a normal Writer document, .sxw,
and saving it as HTML document. Doesn't have anything to do with
editing html documents.  On saving everything is written to a new set
of files, with consistent names and references.  When the graphics
files are written to their new names, they should be cropped as
specified in the .sxw file. This is nessecary since html does not know
the concept of cropping an image.  A warning is not nessecary because
this cropping is a simple operation that is expected by the user.

Of cource, there may be features in the .sxw file that cannot be
represented in a .html file [the drawing functions to name one (if we
forget about .svg for the moment)] for which a warning is appropriate.
Cropping an image to the size expected by the user is certanly not one
of them.
Comment 7 utomo99 2003-09-20 03:03:04 UTC
utomo>eric:
OK eric, I will not touch it, Joost already told me same things. 
But for this I think we can get easy and simple solution, by adding
the application name in the top left
Writer : openoffice.org writer, instead of only genaral name
openoffice.org
Calc : openoffice.org Calc, instead of only genaral name openoffice.org
Impress : openoffice.org Impress, instead of only genaral name
openoffice.org
Html editor : openoffice.org html editor, instead of only genaral name
openoffice.org
Draw : openoffice.org Draw, instead of only genaral name openoffice.org

If this is possible, I think we can have it at before 2.0. Please
consider & thanks

Comment 8 eric.savary 2003-09-22 17:43:18 UTC
The UI should adapt to the HTML Imp/Exp options chosen under Tools -
Options - Load/Save - HTML compatibility. (See Issue 12294)
Comment 9 eric.savary 2003-09-22 17:44:32 UTC
*** Issue 12294 has been marked as a duplicate of this issue. ***
Comment 10 eric.savary 2003-09-23 15:05:23 UTC
*** Issue 14536 has been marked as a duplicate of this issue. ***
Comment 11 eric.savary 2003-09-23 15:26:23 UTC
Issue 14536: not only dialogs should offer strict HTML functions but
also the behavior of objects and texts (formatting, position, size
etc...) in the document should be subject to those restrictions.
Comment 12 jogi 2003-09-24 08:51:46 UTC
- Added jsi@openoffice.org to cc:
- non-public issue (old intranet bugtracker system) #106253 has been
closed and marked as duplicate of this bug(-colletion). Here the
description:

The reproduce steps:
1. Open a html document
2. Input 2 lines text , like
First line
Second line
3. Select these 2 lines
4. Format/ Numbering/Bullets , Tabpage "options"
5. In Level , choose 1
In Numbering , choose 1,2,3...
then
In Level , choose 2
In Numbering , choose 1,2,3...
In After , input ")" instead of "."
Now, press OK
6. Set Focus to Second line, and press TAB.

the display should be
1. First line
1) Second line

This is correct and we can get it.

7. save this file as test.html and close it , then reopen it.

You will find the file is like
1. First line
1. Second line
Comment 13 mci 2003-10-15 12:08:34 UTC
*** Issue 19637 has been marked as a duplicate of this issue. ***
Comment 14 bettina.haberer 2003-10-20 14:54:33 UTC
Hello Michael, do you see possibility for the 'Q' for optimization by 
keeping the current Writer/Web UI and disabling or hiding every Writer
specific functions from it?
Please give approval for this evaluated OO.o 2.0 flagged issue. 
If you confirm with the target OO.o 2.0, then please keep it on your
owner (or the owner of the concerning developer) for implementation.
In case you want this issue for 'OOo Later', then please reset the
target milestone. If you decline the issue finally, please set the
resolution to 'Wontfix' (but do not close). In case of 'OOo Later' or
'Wontfix' please reset it on Bettina's owner. Thank you.
Comment 15 stefan.baltzer 2003-10-23 14:11:59 UTC
*** Issue 17959 has been marked as a duplicate of this issue. ***
Comment 16 eric.savary 2003-10-23 17:51:43 UTC
*** Issue 13835 has been marked as a duplicate of this issue. ***
Comment 17 michael.brauer 2003-10-30 13:01:37 UTC
Adopting the UI to exactly what HTML allows is a complex task that
probably cannot be done for the OOo 2.0 release. Doing something for a
later release might be reasonable, but it's to early to decide this.
Comment 18 eric.savary 2003-11-03 13:09:43 UTC
*** Issue 22011 has been marked as a duplicate of this issue. ***
Comment 19 eric.savary 2003-11-07 18:03:01 UTC
*** Issue 13965 has been marked as a duplicate of this issue. ***
Comment 20 eric.savary 2003-12-01 16:21:59 UTC
*** Issue 17407 has been marked as a duplicate of this issue. ***
Comment 21 eric.savary 2003-12-01 16:24:50 UTC
Writing: 

/gofile?file=MainTfrmBasicTableEditor.htm&ClassName=TfrmClientes.htm

in the URL dialog outputs:

../../../../../gofile%
3Ffile=MainTfrmBasicTableEditor.htm&amp;ClassName=TfrmFiliais.htm

In the code.

(See issue 17407)

Comment 22 bettina.haberer 2003-12-03 19:21:44 UTC
set started for OO.o later.
Comment 23 eric.savary 2003-12-16 15:03:44 UTC
*** Issue 14720 has been marked as a duplicate of this issue. ***
Comment 24 eric.savary 2004-07-06 13:43:46 UTC
*** Issue 14070 has been marked as a duplicate of this issue. ***
Comment 25 sgautier.ooo 2004-09-14 10:37:35 UTC
reassigning & adding keywords according to new RFE process - sophie -
Comment 26 eric.savary 2004-10-24 01:34:54 UTC
*** Issue 24050 has been marked as a duplicate of this issue. ***
Comment 27 eric.savary 2004-11-23 09:40:33 UTC
*** Issue 37662 has been marked as a duplicate of this issue. ***
Comment 28 eric.savary 2005-03-28 17:03:51 UTC
*** Issue 46040 has been marked as a duplicate of this issue. ***
Comment 29 eric.savary 2005-03-28 17:25:22 UTC
*** Issue 46038 has been marked as a duplicate of this issue. ***
Comment 30 eric.savary 2005-05-17 11:48:01 UTC
*** Issue 46337 has been marked as a duplicate of this issue. ***
Comment 31 eric.savary 2005-05-23 16:32:37 UTC
*** Issue 49643 has been marked as a duplicate of this issue. ***
Comment 32 eric.savary 2005-08-19 09:50:06 UTC
*** Issue 53510 has been marked as a duplicate of this issue. ***
Comment 33 meywer 2005-11-30 15:37:42 UTC
See issue 9110 also.
See Issue 56554 also.
Comment 34 eric.savary 2006-05-18 08:55:05 UTC
*** Issue 54408 has been marked as a duplicate of this issue. ***
Comment 35 eric.savary 2007-05-04 15:12:58 UTC
*** Issue 73417 has been marked as a duplicate of this issue. ***
Comment 36 eric.savary 2007-07-25 10:39:37 UTC
*** Issue 77699 has been marked as a duplicate of this issue. ***
Comment 37 eric.savary 2008-12-18 01:17:08 UTC
*** Issue 97373 has been marked as a duplicate of this issue. ***
Comment 38 eric.savary 2010-05-08 14:00:34 UTC
*** Issue 111358 has been marked as a duplicate of this issue. ***
Comment 39 jogi 2010-05-08 14:05:48 UTC
removed jsi
Comment 40 T. J. Frazier 2012-02-19 22:46:02 UTC
*** Issue 97373 has been marked as a duplicate of this issue. ***